Bug 223313 - Amarok and KMail crash in the new KIO scheduler
Summary: Amarok and KMail crash in the new KIO scheduler
Status: RESOLVED FIXED
Alias: None
Product: kio
Classification: Unclassified
Component: general (show other bugs)
Version: SVN
Platform: Compiled Sources Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Andreas Hartmetz
URL:
Keywords:
: 223392 223415 223513 224624 (view as bug list)
Depends on:
Blocks: 223438
  Show dependency treegraph
 
Reported: 2010-01-18 18:06 UTC by Alex Merry
Modified: 2010-01-28 22:25 UTC (History)
5 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Merry 2010-01-18 18:06:55 UTC
Application: amarok (2.2-GIT)
KDE Platform Version: 4.4.59 (KDE 4.4.59 (KDE 4.5 >= 20100107)) (Compiled from sources)
Qt Version: 4.6.1
Operating System: Linux 2.6.32-ARCH x86_64
Distribution (Platform): Archlinux Packages

-- Information about the crash:
Happens whenever I start playing something in Amarok, since I last updated kdelibs.  Almost certainly due to the recent KIO scheduler re-write.

Applets: Current Track, Lyrics, Wikipedia.

The crash can be reproduced every time.

 -- Backtrace:
Application: Amarok (amarok), signal: Aborted
[Current thread is 1 (Thread 0x7f70751eb780 (LWP 8917))]

Thread 21 (Thread 0x7f705c0af710 (LWP 8925)):
#0  0x00007f706f5963e9 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f70619d0a71 in metronom_sync_loop () from /usr/lib/libxine.so.1
#2  0x00007f706f59181a in start_thread () from /lib/libpthread.so.0
#3  0x00007f7071cb1c7d in clone () from /lib/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 20 (Thread 0x7f705b274710 (LWP 8926)):
#0  0x00007f7071ca9483 in poll () from /lib/libc.so.6
#1  0x00007f70696d9a0c in g_main_context_iterate () from /usr/lib/libglib-2.0.so.0
#2  0x00007f70696d9d50 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#3  0x00007f7072639c9c in QEventDispatcherGlib::processEvents (this=0x106df60, flags=...) at /home/kde-devel/src/qt/src/corelib/kernel/qeventdispatcher_glib.cpp:414
#4  0x00007f707260155c in QEventLoop::processEvents (this=0x7f705b273cf0, flags=...) at /home/kde-devel/src/qt/src/corelib/kernel/qeventloop.cpp:149
#5  0x00007f70726016b0 in QEventLoop::exec (this=0x7f705b273cf0, flags=...) at /home/kde-devel/src/qt/src/corelib/kernel/qeventloop.cpp:197
#6  0x00007f70724f4113 in QThread::exec (this=0x11409a0) at /home/kde-devel/src/qt/src/corelib/thread/qthread.cpp:487
#7  0x00007f7061c2cbf9 in Phonon::Xine::XineThread::run (this=0x11409a0) at /home/kde-devel/src/kdesupport/phonon/xine/xinethread.cpp:143
#8  0x00007f70724f6850 in QThreadPrivate::start (arg=0x11409a0) at /home/kde-devel/src/qt/src/corelib/thread/qthread_unix.cpp:248
#9  0x00007f706f59181a in start_thread () from /lib/libpthread.so.0
#10 0x00007f7071cb1c7d in clone () from /lib/libc.so.6
#11 0x0000000000000000 in ?? ()

Thread 19 (Thread 0x7f705a66a710 (LWP 8927)):
#0  0x00007f706f59607c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f70619e152b in ao_loop () from /usr/lib/libxine.so.1
#2  0x00007f706f59181a in start_thread () from /lib/libpthread.so.0
#3  0x00007f7071cb1c7d in clone () from /lib/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 18 (Thread 0x7f7059e69710 (LWP 8928)):
#0  0x00007f706f59607c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f70619e152b in ao_loop () from /usr/lib/libxine.so.1
#2  0x00007f706f59181a in start_thread () from /lib/libpthread.so.0
#3  0x00007f7071cb1c7d in clone () from /lib/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 17 (Thread 0x7f7059668710 (LWP 8929)):
#0  0x00007f706f59607c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f70619e152b in ao_loop () from /usr/lib/libxine.so.1
#2  0x00007f706f59181a in start_thread () from /lib/libpthread.so.0
#3  0x00007f7071cb1c7d in clone () from /lib/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 16 (Thread 0x7f7057a75710 (LWP 8939)):
#0  0x00007f706f59607c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f706bfee356 in WTF::TCMalloc_PageHeap::scavengerThread() () from /home/kde-devel/qt/lib/libQtWebKit.so.4
#2  0x00007f706bfed36c in WTF::TCMalloc_PageHeap::runScavengerThread(void*) () from /home/kde-devel/qt/lib/libQtWebKit.so.4
#3  0x00007f706f59181a in start_thread () from /lib/libpthread.so.0
#4  0x00007f7071cb1c7d in clone () from /lib/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 15 (Thread 0x7f704f085710 (LWP 8942)):
#0  0x00007f7071ca9483 in poll () from /lib/libc.so.6
#1  0x00007f704f08b7ae in ao_alsa_handle_event_thread () from /usr/lib/xine/plugins/1.27/xineplug_ao_out_alsa.so
#2  0x00007f706f59181a in start_thread () from /lib/libpthread.so.0
#3  0x00007f7071cb1c7d in clone () from /lib/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 14 (Thread 0x7f704e884710 (LWP 8943)):
#0  0x00007f706f59607c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f70619e152b in ao_loop () from /usr/lib/libxine.so.1
#2  0x00007f706f59181a in start_thread () from /lib/libpthread.so.0
#3  0x00007f7071cb1c7d in clone () from /lib/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 13 (Thread 0x7f704e083710 (LWP 8944)):
#0  0x00007f706f59607c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f70724f7c1b in QWaitConditionPrivate::wait (this=0x103a5f0, time=18446744073709551615) at /home/kde-devel/src/qt/src/corelib/thread/qwaitcondition_unix.cpp:87
#2  0x00007f70724f79c3 in QWaitCondition::wait (this=0x1acc5a8, mutex=0x1ad1d00, time=18446744073709551615) at /home/kde-devel/src/qt/src/corelib/thread/qwaitcondition_unix.cpp:159
#3  0x00007f706de75056 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x1acc580, th=0x1ade8c0) at /home/kde-devel/src/KDE/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f706de79273 in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x1d2f3a0, th=0x1ade8c0) at /home/kde-devel/src/KDE/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:80
#5  0x00007f706de74fd4 in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0x1acc580, th=0x1ade8c0) at /home/kde-devel/src/KDE/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:356
#6  0x00007f706de79217 in ThreadWeaver::WorkingHardState::applyForWork (this=0x1d2f3a0, th=0x1ade8c0) at /home/kde-devel/src/KDE/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:71
#7  0x00007f706de74f97 in ThreadWeaver::WeaverImpl::applyForWork (this=0x1acc580, th=0x1ade8c0, previous=0x0) at /home/kde-devel/src/KDE/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:351
#8  0x00007f706de79241 in ThreadWeaver::WorkingHardState::applyForWork (this=0x1d2f3a0, th=0x1ade8c0) at /home/kde-devel/src/KDE/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:74
#9  0x00007f706de74f97 in ThreadWeaver::WeaverImpl::applyForWork (this=0x1acc580, th=0x1ade8c0, previous=0x0) at /home/kde-devel/src/KDE/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:351
#10 0x00007f706de79241 in ThreadWeaver::WorkingHardState::applyForWork (this=0x1d2f3a0, th=0x1ade8c0) at /home/kde-devel/src/KDE/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:74
#11 0x00007f706de74f97 in ThreadWeaver::WeaverImpl::applyForWork (this=0x1acc580, th=0x1ade8c0, previous=0x7f7040004f20) at /home/kde-devel/src/KDE/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:351
#12 0x00007f706de76a88 in ThreadWeaver::ThreadRunHelper::run (this=0x7f704e082d80, parent=0x1acc580, th=0x1ade8c0) at /home/kde-devel/src/KDE/kdelibs/threadweaver/Weaver/Thread.cpp:87
#13 0x00007f706de76e2f in ThreadWeaver::Thread::run (this=0x1ade8c0) at /home/kde-devel/src/KDE/kdelibs/threadweaver/Weaver/Thread.cpp:142
#14 0x00007f70724f6850 in QThreadPrivate::start (arg=0x1ade8c0) at /home/kde-devel/src/qt/src/corelib/thread/qthread_unix.cpp:248
#15 0x00007f706f59181a in start_thread () from /lib/libpthread.so.0
#16 0x00007f7071cb1c7d in clone () from /lib/libc.so.6
#17 0x0000000000000000 in ?? ()

Thread 12 (Thread 0x7f704d882710 (LWP 8945)):
#0  0x00007f706f59607c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f70724f7c1b in QWaitConditionPrivate::wait (this=0x103a5f0, time=18446744073709551615) at /home/kde-devel/src/qt/src/corelib/thread/qwaitcondition_unix.cpp:87
#2  0x00007f70724f79c3 in QWaitCondition::wait (this=0x1acc5a8, mutex=0x1ad1d00, time=18446744073709551615) at /home/kde-devel/src/qt/src/corelib/thread/qwaitcondition_unix.cpp:159
#3  0x00007f706de75056 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x1acc580, th=0x7f7040001b50) at /home/kde-devel/src/KDE/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f706de79273 in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x1d2f3a0, th=0x7f7040001b50) at /home/kde-devel/src/KDE/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:80
#5  0x00007f706de74fd4 in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0x1acc580, th=0x7f7040001b50) at /home/kde-devel/src/KDE/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:356
#6  0x00007f706de79217 in ThreadWeaver::WorkingHardState::applyForWork (this=0x1d2f3a0, th=0x7f7040001b50) at /home/kde-devel/src/KDE/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:71
#7  0x00007f706de74f97 in ThreadWeaver::WeaverImpl::applyForWork (this=0x1acc580, th=0x7f7040001b50, previous=0x23c44b0) at /home/kde-devel/src/KDE/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:351
#8  0x00007f706de76a88 in ThreadWeaver::ThreadRunHelper::run (this=0x7f704d881d80, parent=0x1acc580, th=0x7f7040001b50) at /home/kde-devel/src/KDE/kdelibs/threadweaver/Weaver/Thread.cpp:87
#9  0x00007f706de76e2f in ThreadWeaver::Thread::run (this=0x7f7040001b50) at /home/kde-devel/src/KDE/kdelibs/threadweaver/Weaver/Thread.cpp:142
#10 0x00007f70724f6850 in QThreadPrivate::start (arg=0x7f7040001b50) at /home/kde-devel/src/qt/src/corelib/thread/qthread_unix.cpp:248
#11 0x00007f706f59181a in start_thread () from /lib/libpthread.so.0
#12 0x00007f7071cb1c7d in clone () from /lib/libc.so.6
#13 0x0000000000000000 in ?? ()

Thread 11 (Thread 0x7f704d081710 (LWP 8947)):
#0  0x00007f706f59607c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f70724f7c1b in QWaitConditionPrivate::wait (this=0x103a5f0, time=18446744073709551615) at /home/kde-devel/src/qt/src/corelib/thread/qwaitcondition_unix.cpp:87
#2  0x00007f70724f79c3 in QWaitCondition::wait (this=0x1acc5a8, mutex=0x1ad1d00, time=18446744073709551615) at /home/kde-devel/src/qt/src/corelib/thread/qwaitcondition_unix.cpp:159
#3  0x00007f706de75056 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x1acc580, th=0x1d337e0) at /home/kde-devel/src/KDE/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f706de79273 in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x1d2f3a0, th=0x1d337e0) at /home/kde-devel/src/KDE/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:80
#5  0x00007f706de74fd4 in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0x1acc580, th=0x1d337e0) at /home/kde-devel/src/KDE/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:356
#6  0x00007f706de79217 in ThreadWeaver::WorkingHardState::applyForWork (this=0x1d2f3a0, th=0x1d337e0) at /home/kde-devel/src/KDE/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:71
#7  0x00007f706de74f97 in ThreadWeaver::WeaverImpl::applyForWork (this=0x1acc580, th=0x1d337e0, previous=0x0) at /home/kde-devel/src/KDE/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:351
#8  0x00007f706de79241 in ThreadWeaver::WorkingHardState::applyForWork (this=0x1d2f3a0, th=0x1d337e0) at /home/kde-devel/src/KDE/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:74
#9  0x00007f706de74f97 in ThreadWeaver::WeaverImpl::applyForWork (this=0x1acc580, th=0x1d337e0, previous=0x1f7b360) at /home/kde-devel/src/KDE/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:351
#10 0x00007f706de76a88 in ThreadWeaver::ThreadRunHelper::run (this=0x7f704d080d80, parent=0x1acc580, th=0x1d337e0) at /home/kde-devel/src/KDE/kdelibs/threadweaver/Weaver/Thread.cpp:87
#11 0x00007f706de76e2f in ThreadWeaver::Thread::run (this=0x1d337e0) at /home/kde-devel/src/KDE/kdelibs/threadweaver/Weaver/Thread.cpp:142
#12 0x00007f70724f6850 in QThreadPrivate::start (arg=0x1d337e0) at /home/kde-devel/src/qt/src/corelib/thread/qthread_unix.cpp:248
#13 0x00007f706f59181a in start_thread () from /lib/libpthread.so.0
#14 0x00007f7071cb1c7d in clone () from /lib/libc.so.6
#15 0x0000000000000000 in ?? ()

Thread 10 (Thread 0x7f704c880710 (LWP 8948)):
#0  0x00007f706f59607c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f70724f7c1b in QWaitConditionPrivate::wait (this=0x103a5f0, time=18446744073709551615) at /home/kde-devel/src/qt/src/corelib/thread/qwaitcondition_unix.cpp:87
#2  0x00007f70724f79c3 in QWaitCondition::wait (this=0x1acc5a8, mutex=0x1ad1d00, time=18446744073709551615) at /home/kde-devel/src/qt/src/corelib/thread/qwaitcondition_unix.cpp:159
#3  0x00007f706de75056 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x1acc580, th=0x1f485b0) at /home/kde-devel/src/KDE/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f706de79273 in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x1d2f3a0, th=0x1f485b0) at /home/kde-devel/src/KDE/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:80
#5  0x00007f706de74fd4 in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0x1acc580, th=0x1f485b0) at /home/kde-devel/src/KDE/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:356
#6  0x00007f706de79217 in ThreadWeaver::WorkingHardState::applyForWork (this=0x1d2f3a0, th=0x1f485b0) at /home/kde-devel/src/KDE/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:71
#7  0x00007f706de74f97 in ThreadWeaver::WeaverImpl::applyForWork (this=0x1acc580, th=0x1f485b0, previous=0x0) at /home/kde-devel/src/KDE/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:351
#8  0x00007f706de79241 in ThreadWeaver::WorkingHardState::applyForWork (this=0x1d2f3a0, th=0x1f485b0) at /home/kde-devel/src/KDE/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:74
#9  0x00007f706de74f97 in ThreadWeaver::WeaverImpl::applyForWork (this=0x1acc580, th=0x1f485b0, previous=0x0) at /home/kde-devel/src/KDE/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:351
#10 0x00007f706de76a88 in ThreadWeaver::ThreadRunHelper::run (this=0x7f704c87fd80, parent=0x1acc580, th=0x1f485b0) at /home/kde-devel/src/KDE/kdelibs/threadweaver/Weaver/Thread.cpp:87
#11 0x00007f706de76e2f in ThreadWeaver::Thread::run (this=0x1f485b0) at /home/kde-devel/src/KDE/kdelibs/threadweaver/Weaver/Thread.cpp:142
#12 0x00007f70724f6850 in QThreadPrivate::start (arg=0x1f485b0) at /home/kde-devel/src/qt/src/corelib/thread/qthread_unix.cpp:248
#13 0x00007f706f59181a in start_thread () from /lib/libpthread.so.0
#14 0x00007f7071cb1c7d in clone () from /lib/libc.so.6
#15 0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7f704c07f710 (LWP 8949)):
#0  0x00007f7071cab503 in select () from /lib/libc.so.6
#1  0x00007f70725de4df in QProcessManager::run (this=0x7f707295a7c0) at /home/kde-devel/src/qt/src/corelib/io/qprocess_unix.cpp:245
#2  0x00007f70724f6850 in QThreadPrivate::start (arg=0x7f707295a7c0) at /home/kde-devel/src/qt/src/corelib/thread/qthread_unix.cpp:248
#3  0x00007f706f59181a in start_thread () from /lib/libpthread.so.0
#4  0x00007f7071cb1c7d in clone () from /lib/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7f7048e3c710 (LWP 8962)):
#0  0x00007f706f59607c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f706d5ecf84 in QTWTF::TCMalloc_PageHeap::scavengerThread (this=0x7f706d91a660) at /home/kde-devel/src/qt/src/3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:2304
#2  0x00007f706d5ec5d2 in QTWTF::TCMalloc_PageHeap::runScavengerThread (context=0x7f706d91a660) at /home/kde-devel/src/qt/src/3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:1438
#3  0x00007f706f59181a in start_thread () from /lib/libpthread.so.0
#4  0x00007f7071cb1c7d in clone () from /lib/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7f7049865710 (LWP 9027)):
#0  0x00007f706f5963e9 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f70724f7bff in QWaitConditionPrivate::wait (this=0x2070f00, time=30000) at /home/kde-devel/src/qt/src/corelib/thread/qwaitcondition_unix.cpp:85
#2  0x00007f70724f79c3 in QWaitCondition::wait (this=0x1d39428, mutex=0x1d39420, time=30000) at /home/kde-devel/src/qt/src/corelib/thread/qwaitcondition_unix.cpp:159
#3  0x00007f70724e8ff7 in QThreadPoolThread::run (this=0x1b29c00) at /home/kde-devel/src/qt/src/corelib/concurrent/qthreadpool.cpp:140
#4  0x00007f70724f6850 in QThreadPrivate::start (arg=0x1b29c00) at /home/kde-devel/src/qt/src/corelib/thread/qthread_unix.cpp:248
#5  0x00007f706f59181a in start_thread () from /lib/libpthread.so.0
#6  0x00007f7071cb1c7d in clone () from /lib/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7f7038360710 (LWP 9046)):
#0  0x00007f7071cab503 in select () from /lib/libc.so.6
#1  0x00007f70619f8925 in xine_usec_sleep () from /usr/lib/libxine.so.1
#2  0x00007f70619de3c9 in video_out_loop () from /usr/lib/libxine.so.1
#3  0x00007f706f59181a in start_thread () from /lib/libpthread.so.0
#4  0x00007f7071cb1c7d in clone () from /lib/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7f7037776710 (LWP 9047)):
#0  0x00007f706f59607c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f70619d422b in fifo_buffer_get () from /usr/lib/libxine.so.1
#2  0x00007f70619da14d in video_decoder_loop () from /usr/lib/libxine.so.1
#3  0x00007f706f59181a in start_thread () from /lib/libpthread.so.0
#4  0x00007f7071cb1c7d in clone () from /lib/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7f7036f75710 (LWP 9048)):
#0  0x00007f706f59607c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f70619d422b in fifo_buffer_get () from /usr/lib/libxine.so.1
#2  0x00007f70619db185 in audio_decoder_loop () from /usr/lib/libxine.so.1
#3  0x00007f706f59181a in start_thread () from /lib/libpthread.so.0
#4  0x00007f7071cb1c7d in clone () from /lib/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7f7036774710 (LWP 9049)):
#0  0x00007f706f59607c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f70619e456b in xine_event_wait () from /usr/lib/libxine.so.1
#2  0x00007f70619e45de in listener_loop () from /usr/lib/libxine.so.1
#3  0x00007f706f59181a in start_thread () from /lib/libpthread.so.0
#4  0x00007f7071cb1c7d in clone () from /lib/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f70323ff710 (LWP 9051)):
#0  0x00007f706f5963e9 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f70724f7bff in QWaitConditionPrivate::wait (this=0x2070f00, time=30000) at /home/kde-devel/src/qt/src/corelib/thread/qwaitcondition_unix.cpp:85
#2  0x00007f70724f79c3 in QWaitCondition::wait (this=0x1d39428, mutex=0x1d39420, time=30000) at /home/kde-devel/src/qt/src/corelib/thread/qwaitcondition_unix.cpp:159
#3  0x00007f70724e8ff7 in QThreadPoolThread::run (this=0x2072be0) at /home/kde-devel/src/qt/src/corelib/concurrent/qthreadpool.cpp:140
#4  0x00007f70724f6850 in QThreadPrivate::start (arg=0x2072be0) at /home/kde-devel/src/qt/src/corelib/thread/qthread_unix.cpp:248
#5  0x00007f706f59181a in start_thread () from /lib/libpthread.so.0
#6  0x00007f7071cb1c7d in clone () from /lib/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f70751eb780 (LWP 8917)):
[KCrash Handler]
#5  0x00007f7071c15035 in raise () from /lib/libc.so.6
#6  0x00007f7071c16460 in abort () from /lib/libc.so.6
#7  0x00007f70724ec377 in qt_message_output (msgType=QtFatalMsg, buf=0x1ee1438 "ASSERT: \"slave\" in file /home/kde-devel/src/KDE/kdelibs/kio/kio/scheduler.cpp, line 249")
    at /home/kde-devel/src/qt/src/corelib/global/qglobal.cpp:2250
#8  0x00007f70724ec422 in qt_message (msgType=QtFatalMsg, msg=0x7f707267cee0 "ASSERT: \"%s\" in file %s, line %d", ap=0x7fff5c0b9df0) at /home/kde-devel/src/qt/src/corelib/global/qglobal.cpp:2296
#9  0x00007f70724ecb1c in qFatal (msg=0x7f707267cee0 "ASSERT: \"%s\" in file %s, line %d") at /home/kde-devel/src/qt/src/corelib/global/qglobal.cpp:2479
#10 0x00007f70724ebfa2 in qt_assert (assertion=0x7f706aa811d4 "slave", file=0x7f706aa810e8 "/home/kde-devel/src/KDE/kdelibs/kio/kio/scheduler.cpp", line=249)
    at /home/kde-devel/src/qt/src/corelib/global/qglobal.cpp:2013
#11 0x00007f706a99a6cb in ConnectedSlaveQueue::removeJob (this=0x1efa240, job=0x1b64860) at /home/kde-devel/src/KDE/kdelibs/kio/kio/scheduler.cpp:249
#12 0x00007f706a99bff2 in ProtoQueue::removeJob (this=0x1efa230, job=0x1b64860) at /home/kde-devel/src/KDE/kdelibs/kio/kio/scheduler.cpp:512
#13 0x00007f706a99d873 in KIO::SchedulerPrivate::jobFinished (this=0x1c65250, job=0x1b64860, slave=0x0) at /home/kde-devel/src/KDE/kdelibs/kio/kio/scheduler.cpp:902
#14 0x00007f706a99d745 in KIO::SchedulerPrivate::cancelJob (this=0x1c65250, job=0x1b64860) at /home/kde-devel/src/KDE/kdelibs/kio/kio/scheduler.cpp:894
#15 0x00007f706a99ccf3 in KIO::Scheduler::cancelJob (job=0x1b64860) at /home/kde-devel/src/KDE/kdelibs/kio/kio/scheduler.cpp:755
#16 0x00007f706a8dd85e in KIO::SimpleJob::doKill (this=0x1b64860) at /home/kde-devel/src/KDE/kdelibs/kio/kio/job.cpp:315
#17 0x00007f7073937446 in KJob::kill (this=0x1b64860, verbosity=KJob::Quietly) at /home/kde-devel/src/KDE/kdelibs/kdecore/jobs/kjob.cpp:106
#18 0x00007f706a8a0839 in KDEPrivate::AccessManagerReply::abort (this=0x1b65250) at /home/kde-devel/src/KDE/kdelibs/kio/kio/accessmanagerreply_p.cpp:91
#19 0x00007f706c54ad44 in WebCore::QNetworkReplyHandler::abort() () from /home/kde-devel/qt/lib/libQtWebKit.so.4
#20 0x00007f706c54863e in WebCore::ResourceHandle::cancel() () from /home/kde-devel/qt/lib/libQtWebKit.so.4
#21 0x00007f706c5483ef in WebCore::ResourceHandle::~ResourceHandle() () from /home/kde-devel/qt/lib/libQtWebKit.so.4
#22 0x00007f706c33a0d9 in WTF::RefCounted<WebCore::ResourceHandle>::deref() () from /home/kde-devel/qt/lib/libQtWebKit.so.4
#23 0x00007f706c339fb3 in void WTF::derefIfNotNull<WebCore::ResourceHandle>(WebCore::ResourceHandle*) () from /home/kde-devel/qt/lib/libQtWebKit.so.4
#24 0x00007f706c34204c in WTF::RefPtr<WebCore::ResourceHandle>::operator=(WebCore::ResourceHandle*) () from /home/kde-devel/qt/lib/libQtWebKit.so.4
#25 0x00007f706c3433b9 in WebCore::SubresourceLoader::didFinishLoading() () from /home/kde-devel/qt/lib/libQtWebKit.so.4
#26 0x00007f706c341cdf in WebCore::ResourceLoader::didFinishLoading(WebCore::ResourceHandle*) () from /home/kde-devel/qt/lib/libQtWebKit.so.4
#27 0x00007f706c54afbf in WebCore::QNetworkReplyHandler::finish() () from /home/kde-devel/qt/lib/libQtWebKit.so.4
#28 0x00007f706c54c9a4 in WebCore::QNetworkReplyHandler::qt_metacall(QMetaObject::Call, int, void**) () from /home/kde-devel/qt/lib/libQtWebKit.so.4
#29 0x00007f707260afc1 in QMetaObject::metacall (object=0x2417960, cl=QMetaObject::InvokeMetaMethod, idx=5, argv=0x23efaa0) at /home/kde-devel/src/qt/src/corelib/kernel/qmetaobject.cpp:237
#30 0x00007f70726189e2 in QMetaCallEvent::placeMetaCall (this=0x2baaa40, object=0x2417960) at /home/kde-devel/src/qt/src/corelib/kernel/qobject.cpp:561
#31 0x00007f707261a9ff in QObject::event (this=0x2417960, e=0x2baaa40) at /home/kde-devel/src/qt/src/corelib/kernel/qobject.cpp:1237
#32 0x00007f7072b81c5a in QApplicationPrivate::notify_helper (this=0xf43ec0, receiver=0x2417960, e=0x2baaa40) at /home/kde-devel/src/qt/src/gui/kernel/qapplication.cpp:4297
#33 0x00007f7072b7f2b2 in QApplication::notify (this=0x7fff5c0bb250, receiver=0x2417960, e=0x2baaa40) at /home/kde-devel/src/qt/src/gui/kernel/qapplication.cpp:3701
#34 0x00007f70742d9cd0 in App::notify (this=0x7fff5c0bb250, receiver=0x2417960, event=0x2baaa40) at /home/kde-devel/src/amarok/src/App.cpp:881
#35 0x00007f7072603d41 in QCoreApplication::notifyInternal (this=0x7fff5c0bb250, receiver=0x2417960, event=0x2baaa40) at /home/kde-devel/src/qt/src/corelib/kernel/qcoreapplication.cpp:704
#36 0x00007f7072b72f91 in QCoreApplication::sendEvent (receiver=0x2417960, event=0x2baaa40) at ../../include/QtCore/../../../src/qt/src/corelib/kernel/qcoreapplication.h:215
#37 0x00007f7072604f14 in QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0xda2750) at /home/kde-devel/src/qt/src/corelib/kernel/qcoreapplication.cpp:1342
#38 0x00007f7072604b31 in QCoreApplication::sendPostedEvents (receiver=0x0, event_type=0) at /home/kde-devel/src/qt/src/corelib/kernel/qcoreapplication.cpp:1238
#39 0x00007f7072c51e57 in QCoreApplication::sendPostedEvents () at ../../include/QtCore/../../../src/qt/src/corelib/kernel/qcoreapplication.h:220
#40 0x00007f7072638bfa in postEventSourceDispatch (s=0xf52a00) at /home/kde-devel/src/qt/src/corelib/kernel/qeventdispatcher_glib.cpp:276
#41 0x00007f70696d626e in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#42 0x00007f70696d9c28 in g_main_context_iterate () from /usr/lib/libglib-2.0.so.0
#43 0x00007f70696d9d50 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#44 0x00007f7072639c79 in QEventDispatcherGlib::processEvents (this=0xda2330, flags=...) at /home/kde-devel/src/qt/src/corelib/kernel/qeventdispatcher_glib.cpp:412
#45 0x00007f7072c50db4 in QGuiEventDispatcherGlib::processEvents (this=0xda2330, flags=...) at /home/kde-devel/src/qt/src/gui/kernel/qguieventdispatcher_glib.cpp:204
#46 0x00007f707260155c in QEventLoop::processEvents (this=0x7fff5c0bb1e0, flags=...) at /home/kde-devel/src/qt/src/corelib/kernel/qeventloop.cpp:149
#47 0x00007f70726016b0 in QEventLoop::exec (this=0x7fff5c0bb1e0, flags=...) at /home/kde-devel/src/qt/src/corelib/kernel/qeventloop.cpp:197
#48 0x00007f7072604406 in QCoreApplication::exec () at /home/kde-devel/src/qt/src/corelib/kernel/qcoreapplication.cpp:981
#49 0x00007f7072b7ee30 in QApplication::exec () at /home/kde-devel/src/qt/src/gui/kernel/qapplication.cpp:3576
#50 0x000000000040ae82 in main (argc=1, argv=0x7fff5c0bd1c8) at /home/kde-devel/src/amarok/src/main.cpp:237

Reported using DrKonqi
Comment 1 Alex Merry 2010-01-18 18:08:22 UTC
Reassign to KIO
Comment 2 Dmitry Suzdalev 2010-01-19 10:40:51 UTC
*** Bug 223392 has been marked as a duplicate of this bug. ***
Comment 3 Tommi Tervo 2010-01-19 10:44:08 UTC
This should be fixed by maelcum:
http://lists.kde.org/?l=kde-commits&m=126384908815254&w=2
Comment 4 Alex Merry 2010-01-19 16:36:30 UTC
Nope, still happens.  maelcum's commit fixes an entirely different assert.  Note that the assert triggered here happens in KIO::ConnectedSlaveQueue::removeJob():

Thread 1 (Thread 0x7fe64951a780 (LWP 8131)):
[KCrash Handler]
[snip]
#10 0x00007fe646810fa2 in qt_assert (assertion=0x7fe63eda63b4 "slave", file=0x7fe63eda62c8 "/home/kde-devel/src/KDE/kdelibs/kio/kio/scheduler.cpp", line=247)
    at /home/kde-devel/src/qt/src/corelib/global/qglobal.cpp:2013
#11 0x00007fe63ecbf85f in KIO::ConnectedSlaveQueue::removeJob (this=0x29e1140, job=0x1d55550) at /home/kde-devel/src/KDE/kdelibs/kio/kio/scheduler.cpp:247
#12 0x00007fe63ecc11a1 in KIO::ProtoQueue::removeJob (this=0x29e1130, job=0x1d55550) at /home/kde-devel/src/KDE/kdelibs/kio/kio/scheduler.cpp:515
#13 0x00007fe63ecc2a23 in KIO::SchedulerPrivate::jobFinished (this=0x29e1020, job=0x1d55550, slave=0x0) at /home/kde-devel/src/KDE/kdelibs/kio/kio/scheduler.cpp:905
#14 0x00007fe63ecc28f5 in KIO::SchedulerPrivate::cancelJob (this=0x29e1020, job=0x1d55550) at /home/kde-devel/src/KDE/kdelibs/kio/kio/scheduler.cpp:897
#15 0x00007fe63ecc1ea3 in KIO::Scheduler::cancelJob (job=0x1d55550) at /home/kde-devel/src/KDE/kdelibs/kio/kio/scheduler.cpp:758
#16 0x00007fe63ec0285e in KIO::SimpleJob::doKill (this=0x1d55550) at /home/kde-devel/src/KDE/kdelibs/kio/kio/job.cpp:315
#17 0x00007fe647c5c446 in KJob::kill (this=0x1d55550, verbosity=KJob::Quietly) at /home/kde-devel/src/KDE/kdelibs/kdecore/jobs/kjob.cpp:106
#18 0x00007fe63ebc5839 in KDEPrivate::AccessManagerReply::abort (this=0x238a250) at /home/kde-devel/src/KDE/kdelibs/kio/kio/accessmanagerreply_p.cpp:91
#19 0x00007fe64086fd44 in WebCore::QNetworkReplyHandler::abort() () from /home/kde-devel/qt/lib/libQtWebKit.so.4
#20 0x00007fe64086d63e in WebCore::ResourceHandle::cancel() () from /home/kde-devel/qt/lib/libQtWebKit.so.4
#21 0x00007fe64086d3ef in WebCore::ResourceHandle::~ResourceHandle() () from /home/kde-devel/qt/lib/libQtWebKit.so.4
#22 0x00007fe64065f0d9 in WTF::RefCounted<WebCore::ResourceHandle>::deref() () from /home/kde-devel/qt/lib/libQtWebKit.so.4
#23 0x00007fe64065efb3 in void WTF::derefIfNotNull<WebCore::ResourceHandle>(WebCore::ResourceHandle*) () from /home/kde-devel/qt/lib/libQtWebKit.so.4
#24 0x00007fe64066704c in WTF::RefPtr<WebCore::ResourceHandle>::operator=(WebCore::ResourceHandle*) () from /home/kde-devel/qt/lib/libQtWebKit.so.4
#25 0x00007fe6406683b9 in WebCore::SubresourceLoader::didFinishLoading() () from /home/kde-devel/qt/lib/libQtWebKit.so.4
#26 0x00007fe640666cdf in WebCore::ResourceLoader::didFinishLoading(WebCore::ResourceHandle*) () from /home/kde-devel/qt/lib/libQtWebKit.so.4
#27 0x00007fe64086ffbf in WebCore::QNetworkReplyHandler::finish() () from /home/kde-devel/qt/lib/libQtWebKit.so.4
#28 0x00007fe6408719a4 in WebCore::QNetworkReplyHandler::qt_metacall(QMetaObject::Call, int, void**) () from /home/kde-devel/qt/lib/libQtWebKit.so.4
#29 0x00007fe64692ffc1 in QMetaObject::metacall (object=0x2684020, cl=QMetaObject::InvokeMetaMethod, idx=5, argv=0x7fe62430e800) at /home/kde-devel/src/qt/src/corelib/kernel/qmetaobject.cpp:237
#30 0x00007fe64693d9e2 in QMetaCallEvent::placeMetaCall (this=0x7fe62442d550, object=0x2684020) at /home/kde-devel/src/qt/src/corelib/kernel/qobject.cpp:561
#31 0x00007fe64693f9ff in QObject::event (this=0x2684020, e=0x7fe62442d550) at /home/kde-devel/src/qt/src/corelib/kernel/qobject.cpp:1237
#32 0x00007fe646ea6c5a in QApplicationPrivate::notify_helper (this=0x1cd4f00, receiver=0x2684020, e=0x7fe62442d550) at /home/kde-devel/src/qt/src/gui/kernel/qapplication.cpp:4297
#33 0x00007fe646ea42b2 in QApplication::notify (this=0x7fff0ee71700, receiver=0x2684020, e=0x7fe62442d550) at /home/kde-devel/src/qt/src/gui/kernel/qapplication.cpp:3701
#34 0x00007fe648601c6c in App::notify (this=0x7fff0ee71700, receiver=0x2684020, event=0x7fe62442d550) at /home/kde-devel/src/amarok/src/App.cpp:944
Comment 5 Thomas McGuire 2010-01-19 19:08:08 UTC
*** Bug 223415 has been marked as a duplicate of this bug. ***
Comment 6 Andreas Hartmetz 2010-01-19 21:27:49 UTC
This should be fixed after I fixed a few reported bugs today.
Comment 7 Thomas McGuire 2010-01-19 23:19:17 UTC
I can confirm that KMail doesn't crash anymore. Well, at least not immediately :)
Comment 8 Sebastian Kügler 2010-01-20 02:11:52 UTC
*** Bug 223513 has been marked as a duplicate of this bug. ***
Comment 9 Alex Merry 2010-01-20 04:11:59 UTC
Still crashing, just less frequently.

Amarok crashed once with an almost identical backtrace to before (but I didn't report it because I wasn't certain it was using the updated libkio, and it hasn't happened again).

KMail crashed (without me actually doing anything - I assume it was in a scheduled mail check) with the following backtrace:

Application: KMail (kmail), signal: Aborted
[KCrash Handler]
#5  0x00007f65147d5035 in raise () from /lib/libc.so.6
#6  0x00007f65147d6460 in abort () from /lib/libc.so.6
#7  0x00007f6515581377 in qt_message_output (msgType=QtFatalMsg, buf=0x36536d8 "ASSERT: \"!m_runnableSlaves.contains(slave)\" in file /home/kde-devel/src/KDE/kdelibs/kio/kio/scheduler.cpp, line 258")
    at /home/kde-devel/src/qt/src/corelib/global/qglobal.cpp:2250
#8  0x00007f6515581422 in qt_message (msgType=QtFatalMsg, msg=0x7f6515711ee0 "ASSERT: \"%s\" in file %s, line %d", ap=0x7fff08b86de0) at /home/kde-devel/src/qt/src/corelib/global/qglobal.cpp:2296
#9  0x00007f6515581b1c in qFatal (msg=0x7f6515711ee0 "ASSERT: \"%s\" in file %s, line %d") at /home/kde-devel/src/qt/src/corelib/global/qglobal.cpp:2479
#10 0x00007f6515580fa2 in qt_assert (assertion=0x7f65175a14d0 "!m_runnableSlaves.contains(slave)", file=0x7f65175a12c8 "/home/kde-devel/src/KDE/kdelibs/kio/kio/scheduler.cpp", line=258)
    at /home/kde-devel/src/qt/src/corelib/global/qglobal.cpp:2013
#11 0x00007f65174ba97f in KIO::ConnectedSlaveQueue::removeJob (this=0x2c5a8d0, job=0x3049de0) at /home/kde-devel/src/KDE/kdelibs/kio/kio/scheduler.cpp:253
#12 0x00007f65174bc1a1 in KIO::ProtoQueue::removeJob (this=0x2c5a8c0, job=0x3049de0) at /home/kde-devel/src/KDE/kdelibs/kio/kio/scheduler.cpp:501
#13 0x00007f65174bda23 in KIO::SchedulerPrivate::cancelJob (this=0x77359400027e1c08, job=0x3599430) at /home/kde-devel/src/KDE/kdelibs/kio/kio/scheduler.cpp:904
#14 0x00007f65174bd8f5 in KIO::SchedulerPrivate::cancelJob (this=0x7f65175a37c0, job=0x7f65175a31b8) at /home/kde-devel/src/KDE/kdelibs/kio/kio/scheduler.cpp:900
#15 0x00007f65174bcea3 in ~Scheduler (this=0x3049de0, __in_chrg=<value optimized out>) at /home/kde-devel/src/KDE/kdelibs/kio/kio/scheduler.cpp:750
#16 0x00007f65173fd85e in KIO::SimpleJob::doKill (this=0x7f65174bcea3) at /home/kde-devel/src/KDE/kdelibs/kio/kio/job.cpp:314
#17 0x00007f651aaba446 in KJob::kill (this=0x3049de0, verbosity=KJob::Quietly) at /home/kde-devel/src/KDE/kdelibs/kdecore/jobs/kjob.cpp:106
#18 0x00007f65174bab32 in KIO::ConnectedSlaveQueue::addSlave (this=0x7f65173bb2eb, slave=0x21f9ee0) at /home/kde-devel/src/KDE/kdelibs/kio/kio/scheduler.cpp:285
#19 0x00007f65174bf45c in KIO::SchedulerPrivate::slotSlaveError (this=0x27e1bc0, errorNr=0, errorMsg=...) at /home/kde-devel/src/KDE/kdelibs/kio/kio/scheduler.cpp:1125
#20 0x00007f65174bcfc9 in KIO::Scheduler::jobFinished (job=0x2e95fa0, slave=0x7fff08b872f0) at /home/kde-devel/src/KDE/kdelibs/kio/kio/scheduler.cpp:769
#21 0x00007f651a05ee19 in KMAcctImap::killAllJobs (this=0x2c4fae0, disconnectSlave=true) at /home/kde-devel/src/KDE/kdepim/kmail/kmacctimap.cpp:185
#22 0x00007f651a0555f0 in KMail::ImapAccountBase::handleError (this=0x2c4fae0, errorCode=124, errorMsg=..., job=0x21cfa10, context=..., abortSync=false)
    at /home/kde-devel/src/KDE/kdepim/kmail/imapaccountbase.cpp:1026
#23 0x00007f651a05ea0a in KMAcctImap::handleError (this=0x2c4fae0, errorCode=124, errorMsg=..., job=0x21cfa10, context=..., abortSync=false) at /home/kde-devel/src/KDE/kdepim/kmail/kmacctimap.cpp:131
#24 0x00007f651a05071f in KMail::ImapAccountBase::handleJobError (this=0x2c4fae0, job=0x21cfa10, context=..., abortSync=false) at /home/kde-devel/src/KDE/kdepim/kmail/imapaccountbase.cpp:378
#25 0x00007f651a0835d4 in KMFolderImap::slotStatResult (this=0x28d6370, job=0x21cfa10) at /home/kde-devel/src/KDE/kdepim/kmail/kmfolderimap.cpp:2197
#26 0x00007f651a085580 in KMFolderImap::qt_metacall (this=0x28d6370, _c=QMetaObject::InvokeMetaMethod, _id=35, _a=0x7fff08b87940) at /home/kde-devel/build/KDE/kdepim/kmail/kmfolderimap.moc:196
#27 0x00007f651569ffc1 in QMetaObject::metacall (object=0x28d6370, cl=QMetaObject::InvokeMetaMethod, idx=71, argv=0x7fff08b87940) at /home/kde-devel/src/qt/src/corelib/kernel/qmetaobject.cpp:237
#28 0x00007f65156b398f in QMetaObject::activate (sender=0x21cfa10, m=0x7f651ae89d20, local_signal_index=3, argv=0x7fff08b87940) at /home/kde-devel/src/qt/src/corelib/kernel/qobject.cpp:3264
#29 0x00007f651aabb6cf in KJob::result (this=0x21cfa10, _t1=0x21cfa10) at /home/kde-devel/build/KDE/kdelibs/kdecore/kjob.moc:194
#30 0x00007f651aabab3d in KJob::emitResult (this=0x21cfa10) at /home/kde-devel/src/KDE/kdelibs/kdecore/jobs/kjob.cpp:312
#31 0x00007f65173fe820 in KIO::SimpleJob::slotFinished (this=0x21cfa10) at /home/kde-devel/src/KDE/kdelibs/kio/kio/job.cpp:472
#32 0x00007f65174005da in KIO::StatJobPrivate::slotRedirection (this=0x7f65155dceac, url=...) at /home/kde-devel/src/KDE/kdelibs/kio/kio/job.cpp:824
#33 0x00007f65173fe921 in KIO::SimpleJob::slotError (this=0x21cfa10, err=124, errorText=...) at /home/kde-devel/src/KDE/kdelibs/kio/kio/job.cpp:486
#34 0x00007f65174094f4 in KIO::SimpleJob::qt_metacall (this=0x21, _c=QMetaObject::InvokeMetaMethod, _id=0, _a=0x36c3ac0) at /home/kde-devel/build/KDE/kdelibs/kio/jobclasses.moc:163
#35 0x00007fff08b87d70 in ?? ()
#36 0x0000000000000000 in ?? ()
Comment 10 Andreas Hartmetz 2010-01-22 19:38:59 UTC
Debug output would be very helpful here, area 7006 (KIO::Scheduler).
Comment 11 Andreas Hartmetz 2010-01-23 00:22:18 UTC
#15 0x00007f65174bcea3 in ~Scheduler (this=0x3049de0, __in_chrg=<value
optimized out>) at /home/kde-devel/src/KDE/kdelibs/kio/kio/scheduler.cpp:750
#16 0x00007f65173fd85e in KIO::SimpleJob::doKill (this=0x7f65174bcea3) at
/home/kde-devel/src/KDE/kdelibs/kio/kio/job.cpp:314

This looks very strange. The destructor of KIO::Scheduler isn't called from SimpleJob::doKill() and it doesn't call anything. Memory corruption?
FWIW, I have fixed a bug that could possibly lead to memory corruption today. Please report any similar crashes with kdelibs >= r1078816.
Again, debug output would be extremely helpful.
Comment 12 Andreas Hartmetz 2010-01-23 00:51:02 UTC
Never mind, I can easily reproduce a similar bug now. It seems to be necessary to enter a wrong password for that ;)
The ~Scheduler in the above backtrace is still very strange.
Comment 13 Alex Merry 2010-01-23 03:11:01 UTC
Well, for what it's worth, I got one here.  No wrong password involved, as far as I can see, as all my email accounts work fine.  This is with r1077331, though.

kmail(31155)/kio (Scheduler) KIO::SchedulerPrivate::doJob: KIO::SimpleJob(0x25d9ce0)
kmail(31155)/kio (Scheduler) KIO::SchedulerPrivate::assignJobToSlave: KIO::Slave(0x202dd30) KIO::SimpleJob(0x25d9ce0)
kmail(31155)/kio (Scheduler) KIO::SchedulerPrivate::doJob: KIO::SimpleJob(0x28e32f0)
kmail(31155)/kio (Scheduler) KIO::SchedulerPrivate::assignJobToSlave: KIO::Slave(0x25ec7c0) KIO::SimpleJob(0x28e32f0)
kmail(31155)/kio (Scheduler) KIO::SchedulerPrivate::doJob: KIO::SimpleJob(0x232b220)
kmail(31155)/kio (Scheduler) KIO::SchedulerPrivate::assignJobToSlave: KIO::Slave(0x17d8030) KIO::SimpleJob(0x232b220)
kmail(31155)/kio (Scheduler) KIO::SchedulerPrivate::doJob: KIO::SimpleJob(0x2ab4710)
kmail(31155)/kio (Scheduler) KIO::SchedulerPrivate::assignJobToSlave: KIO::Slave(0x21189d0) KIO::SimpleJob(0x2ab4710)
kmail(31155)/kio (KIOJob) KIO::SlaveInterface::dispatch: error  149   "dorset.eukhost.com"
kmail(31155)/kio (Scheduler) KIO::SchedulerPrivate::slotSlaveError: KIO::Slave(0x21189d0) 149 "dorset.eukhost.com"
kmail(31155)/kio (Scheduler) KIO::SchedulerPrivate::jobFinished: KIO::SimpleJob(0x1c37790) KIO::Slave(0x21189d0)
kmail(31155)/kio (Scheduler) KIO::SchedulerPrivate::disconnectSlave: KIO::Slave(0x21189d0)
kmail(31155)/kio (Scheduler) KIO::SchedulerPrivate::cancelJob: KIO::SimpleJob(0x2b02ea0) KIO::Slave(0x21189d0)
kmail(31155)/kio (Scheduler) KIO::SchedulerPrivate::cancelJob: Scheduler: killing slave  5915
kmail(31155)/kio (Slave) KIO::Slave::kill: killing slave pid 5915 ( "imap://dorset.eukhost.com" )
kmail(31155)/kio (Scheduler) KIO::SchedulerPrivate::jobFinished: KIO::SimpleJob(0x2b02ea0) KIO::Slave(0x21189d0)
ASSERT: "!m_runnableSlaves.contains(slave)" in file /home/kde-devel/src/KDE/kdelibs/kio/kio/scheduler.cpp, line 258
*** KMail got signal 6 (Crashing)
Comment 14 Andreas Hartmetz 2010-01-23 06:23:00 UTC
This should *really* be fixed now with r1078887.
You can always reopen if you disagree ;)
Comment 15 Alex Merry 2010-01-28 20:20:27 UTC
Afraid it's still there.  Only now it's really, really infrequent.  KDELibs is r1079105.  Amarok was built against an older revision, but I can't see that that should make any difference.

Console:

amarok(5299)/kio (Scheduler) KIO::SchedulerPrivate::doJob: KIO::SimpleJob(0x416f590)                     
amarok(5299)/kio (Scheduler) KIO::SchedulerPrivate::scheduleJob: KIO::TransferJob(0x416f590)             
amarok(5299)/kio (Scheduler) KIO::SchedulerPrivate::doJob: KIO::SimpleJob(0x4306160)                     
amarok(5299)/kio (Scheduler) KIO::SchedulerPrivate::scheduleJob: KIO::TransferJob(0x4306160)             
amarok(5299)/kio (Scheduler) KIO::SchedulerPrivate::doJob: KIO::SimpleJob(0x3476f50)                     
amarok(5299)/kio (Scheduler) KIO::SchedulerPrivate::scheduleJob: KIO::TransferJob(0x3476f50)             
amarok(5299)/kio (Scheduler) KIO::SchedulerPrivate::doJob: KIO::SimpleJob(0x447bc10)                     
amarok(5299)/kio (Scheduler) KIO::SchedulerPrivate::scheduleJob: KIO::TransferJob(0x447bc10)             
amarok(5299)/kio (Scheduler) KIO::SchedulerPrivate::jobFinished: KIO::TransferJob(0x416f590) KIO::Slave(0x3d34da0)
amarok(5299)/kio (Scheduler) KIO::SchedulerPrivate::jobFinished: KIO::TransferJob(0x4306160) KIO::Slave(0x41d8780)
amarok(5299)/kio (Scheduler) KIO::SchedulerPrivate::cancelJob: Doing nothing because I don't know job KIO::TransferJob(0x416f590)
amarok(5299)/kio (Scheduler) KIO::SchedulerPrivate::cancelJob: Doing nothing because I don't know job KIO::TransferJob(0x4306160)
amarok(5299)/kio (Scheduler) KIO::SchedulerPrivate::jobFinished: KIO::TransferJob(0x3476f50) KIO::Slave(0x3c376d0)
amarok(5299)/kio (Scheduler) KIO::SchedulerPrivate::cancelJob: Doing nothing because I don't know job KIO::TransferJob(0x3476f50)
amarok(5299)/kio (Scheduler) KIO::SchedulerPrivate::jobFinished: KIO::TransferJob(0x447bc10) KIO::Slave(0x3e46e50)
amarok(5299)/kio (Scheduler) KIO::SchedulerPrivate::cancelJob: Doing nothing because I don't know job KIO::TransferJob(0x447bc10)
amarok(5299)/kio (Scheduler) KIO::SchedulerPrivate::doJob: KIO::SimpleJob(0x38088f0)
amarok(5299)/kio (Scheduler) KIO::SchedulerPrivate::doJob: KIO::SimpleJob(0x433f970)
amarok(5299)/kio (Scheduler) KIO::SchedulerPrivate::jobFinished: KIO::TransferJob(0x38088f0) KIO::Slave(0x41fb530)
amarok(5299)/kio (Scheduler) KIO::SchedulerPrivate::jobFinished: KIO::TransferJob(0x433f970) KIO::Slave(0x446d090)
amarok(5299)/kio (Scheduler) KIO::SchedulerPrivate::doJob: KIO::SimpleJob(0x3d30140)
amarok(5299)/kio (Scheduler) KIO::SchedulerPrivate::doJob: KIO::SimpleJob(0x3cb4630)
amarok(5299)/kio (Scheduler) KIO::SchedulerPrivate::protoQ: creating ProtoQueue instance for ""
amarok(5299)/kio (Scheduler) KIO::ProtoQueue::ProtoQueue: m_maxConnectionsTotal: 1 m_maxConnectionsPerHost: 1
amarok(5299)/kio (Scheduler) KIO::SchedulerPrivate::cancelJob: KIO::TransferJob(0x3cb4630) QObject(0x0)
amarok(5299)/kio (Scheduler) KIO::SchedulerPrivate::jobFinished: KIO::TransferJob(0x3cb4630) QObject(0x0)
amarok(5299)/kio (Scheduler) KIO::SchedulerPrivate::doJob: KIO::SimpleJob(0x36285e0)
amarok(5299)/kio (Scheduler) KIO::SchedulerPrivate::jobFinished: KIO::TransferJob(0x36285e0) QObject(0x0)
ASSERT: "m_runningJobsCount >= 0" in file /home/kde-devel/src/KDE/kdelibs/kio/kio/scheduler.cpp, line 506

Backtrace:

Thread 1 (Thread 0x7f3a65525780 (LWP 5299)):
[KCrash Handler]
#5  0x00007f3a61f45035 in raise () from /lib/libc.so.6
#6  0x00007f3a61f46460 in abort () from /lib/libc.so.6
#7  0x00007f3a6281c377 in qt_message_output (msgType=QtFatalMsg, buf=0x443f658 "ASSERT: \"m_runningJobsCount >= 0\" in file /home/kde-devel/src/KDE/kdelibs/kio/kio/scheduler.cpp, line 506")
    at /home/kde-devel/src/qt/src/corelib/global/qglobal.cpp:2250
#8  0x00007f3a6281c422 in qt_message (msgType=QtFatalMsg, msg=0x7f3a629acee0 "ASSERT: \"%s\" in file %s, line %d", ap=0x7fff6c709a00) at /home/kde-devel/src/qt/src/corelib/global/qglobal.cpp:2296
#9  0x00007f3a6281cb1c in qFatal (msg=0x7f3a629acee0 "ASSERT: \"%s\" in file %s, line %d") at /home/kde-devel/src/qt/src/corelib/global/qglobal.cpp:2479
#10 0x00007f3a6281bfa2 in qt_assert (assertion=0x7f3a5ad9fe6d "m_runningJobsCount >= 0", file=0x7f3a5ad9f968 "/home/kde-devel/src/KDE/kdelibs/kio/kio/scheduler.cpp", line=506)
    at /home/kde-devel/src/qt/src/corelib/global/qglobal.cpp:2013
#11 0x00007f3a5acba387 in KIO::ProtoQueue::removeJob (this=0x3f76e90, job=0x36285e0) at /home/kde-devel/src/KDE/kdelibs/kio/kio/scheduler.cpp:506
#12 0x00007f3a5acbbea0 in KIO::SchedulerPrivate::jobFinished (this=0x33b1640, job=0x36285e0, slave=0x0) at /home/kde-devel/src/KDE/kdelibs/kio/kio/scheduler.cpp:930
#13 0x00007f3a5acbb213 in KIO::Scheduler::jobFinished (job=0x36285e0, slave=0x0) at /home/kde-devel/src/KDE/kdelibs/kio/kio/scheduler.cpp:779
#14 0x00007f3a5abfc780 in KIO::SimpleJobPrivate::slaveDone (this=0x32254a0) at /home/kde-devel/src/KDE/kdelibs/kio/kio/job.cpp:449
#15 0x00007f3a5abfc7ba in KIO::SimpleJob::slotFinished (this=0x36285e0) at /home/kde-devel/src/KDE/kdelibs/kio/kio/job.cpp:457
#16 0x00007f3a5abff89c in KIO::TransferJob::slotFinished (this=0x36285e0) at /home/kde-devel/src/KDE/kdelibs/kio/kio/job.cpp:987
#17 0x00007f3a5abfcbf1 in KIO::SimpleJob::slotError (this=0x36285e0, err=103, errorText=...) at /home/kde-devel/src/KDE/kdelibs/kio/kio/job.cpp:492
#18 0x00007f3a5acba632 in KIO::ProtoQueue::createSlave (this=0x3f76e90, protocol=..., job=0x36285e0, url=...) at /home/kde-devel/src/KDE/kdelibs/kio/kio/scheduler.cpp:549
#19 0x00007f3a5acbaa78 in KIO::ProtoQueue::startAJob (this=0x3f76e90) at /home/kde-devel/src/KDE/kdelibs/kio/kio/scheduler.cpp:621
#20 0x00007f3a5acbe706 in KIO::ProtoQueue::qt_metacall (this=0x3f76e90, _c=QMetaObject::InvokeMetaMethod, _id=0, _a=0x7fff6c70a170) at /home/kde-devel/build/KDE/kdelibs/kio/scheduler_p.moc:190
#21 0x00007f3a6293afc1 in QMetaObject::metacall (object=0x3f76e90, cl=QMetaObject::InvokeMetaMethod, idx=4, argv=0x7fff6c70a170) at /home/kde-devel/src/qt/src/corelib/kernel/qmetaobject.cpp:237
#22 0x00007f3a6294e98f in QMetaObject::activate (sender=0x3f76ee8, m=0x7f3a62c84d00, local_signal_index=0, argv=0x0) at /home/kde-devel/src/qt/src/corelib/kernel/qobject.cpp:3264
#23 0x00007f3a629a938d in QTimer::timeout (this=0x3f76ee8) at .moc/debug-shared/moc_qtimer.cpp:134
#24 0x00007f3a629572c5 in QTimer::timerEvent (this=0x3f76ee8, e=0x7fff6c70ab30) at /home/kde-devel/src/qt/src/corelib/kernel/qtimer.cpp:271
#25 0x00007f3a6294a90d in QObject::event (this=0x3f76ee8, e=0x7fff6c70ab30) at /home/kde-devel/src/qt/src/corelib/kernel/qobject.cpp:1204
#26 0x00007f3a62eb1c5a in QApplicationPrivate::notify_helper (this=0x2693030, receiver=0x3f76ee8, e=0x7fff6c70ab30) at /home/kde-devel/src/qt/src/gui/kernel/qapplication.cpp:4297
#27 0x00007f3a62eaf2b2 in QApplication::notify (this=0x7fff6c70af10, receiver=0x3f76ee8, e=0x7fff6c70ab30) at /home/kde-devel/src/qt/src/gui/kernel/qapplication.cpp:3701
#28 0x00007f3a6460cc6c in App::notify (this=0x7fff6c70af10, receiver=0x3f76ee8, event=0x7fff6c70ab30) at /home/kde-devel/src/amarok/src/App.cpp:944
#29 0x00007f3a62933d41 in QCoreApplication::notifyInternal (this=0x7fff6c70af10, receiver=0x3f76ee8, event=0x7fff6c70ab30) at /home/kde-devel/src/qt/src/corelib/kernel/qcoreapplication.cpp:704
#30 0x00007f3a62ea2f91 in QCoreApplication::sendEvent (receiver=0x3f76ee8, event=0x7fff6c70ab30) at ../../include/QtCore/../../../src/qt/src/corelib/kernel/qcoreapplication.h:215
#31 0x00007f3a6296cf63 in QTimerInfoList::activateTimers (this=0x26a0ea0) at /home/kde-devel/src/qt/src/corelib/kernel/qeventdispatcher_unix.cpp:603
#32 0x00007f3a62968a1c in timerSourceDispatch (source=0x26a0e40) at /home/kde-devel/src/qt/src/corelib/kernel/qeventdispatcher_glib.cpp:184
#33 0x00007f3a599f426e in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
[snip event-loopy stuff]
Comment 16 Andreas Hartmetz 2010-01-28 21:58:05 UTC
Thanks for the good report. Due to the provided information I can see that it's the same crash that I fixed in revision 1080832 with some very nice assistance from the reporter via IRC :)
The checkin comment says: "Fix a crash (and subsequent assert failure after a first fix) when creating a slave fails. Thanks to atomopawn (on #kde-devel) for backtraces and debug output and testing patches."

The underlying issue was an unexpected removeJob() call from SimpleJob::slotError(), so some assumptions (about job count and existence) broke.

Hopefully closed for good now... phew.
Comment 17 Andreas Hartmetz 2010-01-28 22:25:44 UTC
*** Bug 224624 has been marked as a duplicate of this bug. ***